diff --git a/src/backend/optimizer/util/predtest.c b/src/backend/optimizer/util/predtest.c
index d9e49d1..c76421c 100644
--- a/src/backend/optimizer/util/predtest.c
+++ b/src/backend/optimizer/util/predtest.c
@@ -501,7 +501,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_AND:
 
 					/*
-					 * AND-clause R=> AND-clause if A refutes any of B's items
+					 * AND-clause A R=> AND-clause B if A refutes any of B's items
 					 *
 					 * Needed to handle (x AND y) R=> ((!x OR !y) AND z)
 					 */
@@ -537,7 +537,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_OR:
 
 					/*
-					 * AND-clause R=> OR-clause if A refutes each of B's items
+					 * AND-clause A R=> OR-clause B if A refutes each of B's items
 					 */
 					result = true;
 					iterate_begin(pitem, predicate, pred_info)
@@ -562,7 +562,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 						return true;
 
 					/*
-					 * AND-clause R=> atom if any of A's items refutes B
+					 * AND-clause A R=> atom B if any of A's items refutes B
 					 */
 					result = false;
 					iterate_begin(citem, clause, clause_info)
@@ -584,7 +584,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_OR:
 
 					/*
-					 * OR-clause R=> OR-clause if A refutes each of B's items
+					 * OR-clause A R=> OR-clause B if A refutes each of B's items
 					 */
 					result = true;
 					iterate_begin(pitem, predicate, pred_info)
@@ -601,7 +601,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_AND:
 
 					/*
-					 * OR-clause R=> AND-clause if each of A's items refutes
+					 * OR-clause A R=> AND-clause B if each of A's items refutes
 					 * any of B's items.
 					 */
 					result = true;
@@ -638,7 +638,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 						return true;
 
 					/*
-					 * OR-clause R=> atom if each of A's items refutes B
+					 * OR-clause A R=> atom B if each of A's items refutes B
 					 */
 					result = true;
 					iterate_begin(citem, clause, clause_info)
@@ -674,7 +674,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_AND:
 
 					/*
-					 * atom R=> AND-clause if A refutes any of B's items
+					 * atom A R=> AND-clause B if A refutes any of B's items
 					 */
 					result = false;
 					iterate_begin(pitem, predicate, pred_info)
@@ -691,7 +691,7 @@ predicate_refuted_by_recurse(Node *clause, Node *predicate)
 				case CLASS_OR:
 
 					/*
-					 * atom R=> OR-clause if A refutes each of B's items
+					 * atom A R=> OR-clause B if A refutes each of B's items
 					 */
 					result = true;
 					iterate_begin(pitem, predicate, pred_info)
